/// <reference types="react" />
import * as React from 'react';
import { SFC } from 'react';
import { RouteComponentProps } from 'react-router-dom';
import { Entry } from '../theme';
import { RenderComponent } from './Playground';
export declare type PageProps = RouteComponentProps<any> & {
    doc?: Entry;
};
export interface ComponentsMap {
    page?: React.ComponentType<PageProps>;
    render?: RenderComponent;
    h1?: React.ComponentType<any>;
    h2?: React.ComponentType<any>;
    h3?: React.ComponentType<any>;
    h4?: React.ComponentType<any>;
    h5?: React.ComponentType<any>;
    h6?: React.ComponentType<any>;
    ul?: React.ComponentType<any>;
    table?: React.ComponentType<any>;
    pre?: React.ComponentType<any>;
    [key: string]: any;
}
export interface DocPreviewProps {
    components: ComponentsMap;
}
export declare const DocPreview: SFC<DocPreviewProps>;
