/// <reference types="react" />
import * as React from 'react';
import { ComponentType as CT } from 'react';
import { ComponentsMap } from './components/DocPreview';
export declare type MSXComponent = CT<{
    components: ComponentsMap;
}>;
export interface MSXImport {
    default: MSXComponent;
}
export interface Entry {
    id: string;
    filepath: string;
    slug: string;
    route: string;
    name: string;
    menu: string | null;
    order: number;
    settings: {
        [key: string]: any;
    };
}
export interface ThemeConfig {
    [key: string]: any;
}
export declare type EntryMap = Record<string, Entry>;
export declare type ImportMap = Record<string, () => Promise<MSXImport>>;
export interface DataContext {
    config: ThemeConfig;
    entries: EntryMap;
    imports: ImportMap;
}
export declare const dataContext: React.Context<DataContext>;
export interface ThemeProps extends DataContext {
    wrapper: CT;
    children(WrappedComponent: CT): JSX.Element;
}
export declare function theme(WrappedComponent: CT, defaultConfig?: ThemeConfig): CT<ThemeProps>;
